Package org.kie.api.definition

## Enum KieDefinition.KnowledgeType

- java.lang.Object
- - java.lang.Enum<KieDefinition.KnowledgeType>
  - - org.kie.api.definition.KieDefinition.KnowledgeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<KieDefinition.KnowledgeType>`
  Enclosing interface:
    KieDefinition

      public static enum KieDefinition.KnowledgeType
      extends java.lang.Enum<KieDefinition.KnowledgeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ENUM` |
    `FUNCTION` |
    `PROCESS` |
    `QUERY` |
    `RULE` |
    `TYPE` |
    `WINDOW` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KieDefinition.KnowledgeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static KieDefinition.KnowledgeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RULE

          public static final KieDefinition.KnowledgeType RULE

    - #### TYPE

          public static final KieDefinition.KnowledgeType TYPE

    - #### WINDOW

          public static final KieDefinition.KnowledgeType WINDOW

    - #### ENUM

          public static final KieDefinition.KnowledgeType ENUM

    - #### PROCESS

          public static final KieDefinition.KnowledgeType PROCESS

    - #### FUNCTION

          public static final KieDefinition.KnowledgeType FUNCTION

    - #### QUERY

          public static final KieDefinition.KnowledgeType QUERY

  - ### Method Detail

    - #### values

          public static KieDefinition.KnowledgeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KieDefinition.KnowledgeType c : KieDefinition.KnowledgeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KieDefinition.KnowledgeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null